<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>pl.jz.wildflay.jms</groupId>
	<artifactId>jz-wildflay-jms</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>ejb</packaging>

	<name>jz-wildflay-jms</name>

	<properties>
		<endorsed.dir>${project.build.directory}/endorsed</endorsed.dir>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<version.jboss.maven.plugin>7.3.Final</version.jboss.maven.plugin>
		<version.jboss.spec.javaee.6.0>1.0.4.Final</version.jboss.spec.javaee.6.0>
		<!-- wersje innych dodatków -->
		<version.compiler.plugin>2.3.1</version.compiler.plugin>
		<version.ejb.plugin>2.3</version.ejb.plugin>
		<!-- maven-compiler-plugin -->
		<maven.compiler.target>1.8</maven.compiler.target>
		<maven.compiler.source>1.8</maven.compiler.source>
	</properties>


	<dependencyManagement>
		<dependencies>

			<dependency>
				<groupId>org.jboss.spec</groupId>
				<artifactId>jboss-javaee-8.0</artifactId>
				<version>${version.jboss.spec.javaee.6.0}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<dependencies>

		<!-- Import API Common Annotations (JSR-250) zapewnianego domyślnie przez JBoss AS 7 -->
		<dependency>
			<groupId>org.jboss.spec.javax.annotation</groupId>
			<artifactId>jboss-annotations-api_1.1_spec</artifactId>
			<scope>provided</scope>
		</dependency>

		<!-- Import API EJB 3.1 zapewnianego domyślnie przez JBoss AS 7 -->
		<dependency>
			<groupId>org.jboss.spec.javax.ejb</groupId>
			<artifactId>jboss-ejb-api_3.1_spec</artifactId>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.jboss.logging</groupId>
			<artifactId>jboss-logging</artifactId>
			<version>3.1.3.GA</version>
		</dependency>

	</dependencies>


	<build>
		 
		<finalName>${project.artifactId}</finalName>
		<plugins>
			<!-- Dodatek JBoss AS zapewniający wdrożenie aplikacji -->
			<plugin>
				<groupId>org.jboss.as.plugins</groupId>
				<artifactId>jboss-as-maven-plugin</artifactId>
				<version>${version.jboss.maven.plugin}</version>
				<configuration>
					<filename>${project.build.finalName}.jar</filename>
				</configuration>
			</plugin>
			<!-- Dodatek kompilatora wymusza zgodność z Javą 1.6 i aktywuje procesory adnotacji -->
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>${version.compiler.plugin}</version>
				<configuration>
				<fork>true</fork>
				
					<source>${maven.compiler.source}</source>
					<target>${maven.compiler.target}</target>
					 
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-ejb-plugin</artifactId>
				<version>${version.ejb.plugin}</version>
				<configuration>
					<ejbVersion>3.1</ejbVersion>
					<!-- domyślnie przyjmuje wartość false -->
					<generateClient>true</generateClient>
				</configuration>
			</plugin>

		</plugins>
	</build>


</project>
